DexterWeather Events
getCoordinateWeatherEvent
Returns weather event information for the supplied peril(s) and coordinates.
Returns weather event information for the supplied peril(s) and coordinates. Only fields relevant for the peril are returned under perils and intervals.
Query Parameters
date*string
The day to report (MM/DD/YYYY).
Format
date-timeunits?string
The requested units: IMPERIAL or METRIC (default is IMPERIAL).
Default
"IMPERIAL"Value in
"IMPERIAL" | "METRIC"additionalData?boolean
Request extra hourly interval data: true or false (default is false).
Default
falseuserKey*string
The user key.
Request Body
application/json
Array of location coordinates [latitude1, longitude1, latitude2, longitude2, ...]. Limit of 100 locations.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://dexter.atheniumanalytics.com/api/v3/dexter/event/coordinates?perils=HAIL&date=2019-08-24T14%3A15%3A22Z&userKey=string" \ -H "Content-Type: application/json" \ -d '[ "latitude1", "longitude1", "latitude2", "longitude2" ]'[
{
"date": "2019-08-24T14:15:22Z",
"periodStartGmt": "string",
"periodEndGmt": "string",
"address": "string",
"addressFound": "string",
"latitude": 0.1,
"longitude": 0.1,
"units": "IMPERIAL",
"perils": [
{
"perilEnum": "Cold",
"peril": "string",
"perilUnits": "string",
"totalPeril": 0.1,
"minPeril": 0.1,
"maxPeril": 0.1,
"hourOfMaxPeril": "string",
"hourOfMinPeril": "string",
"hourOfMaxSustained": "string",
"stationId": "string",
"intervals": [
{
"dateHrLwt": "string",
"dateHrGmt": "string",
"windSpeed": 0.1,
"hail": 0.1,
"temperature": 0.1,
"rain": 0.1,
"precipitation": 0.1,
"freezingRain": 0.1,
"snow": 0.1,
"gust": 0.1
}
]
}
]
}
]Empty
Empty
Empty